CognitiveX Docs
API

POST /api/dm/threads

Open Or Create Dm Thread

POST /api/dm/threads

Open Or Create Dm Thread

Authentication: Authorization: Bearer <key> or X-API-Key: <key>. Create keys at developers.cognitivx.io/keys.

Parameters

NameInTypeRequiredDescription
X-Org-IDheaderstring | nullNo-

Request body

A JSON request body is required.

FieldTypeRequiredDescription
recipient_user_idstringYes-

Example request

curl -X POST https://api.cognitivx.io/api/dm/threads \
  -H "Authorization: Bearer icog_..." \
  -H "Content-Type: application/json" \
  -d '{
    "recipient_user_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  }'

Example response

200 application/json

{
  "thread_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "peer_user_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "peer_username": "production",
  "peer_display_name": "production",
  "peer_avatar_url": "https://example.com",
  "peer_online": false
}

Responses

StatusDescription
200Success. Returns the response body shown below.
422Request validation failed. detail lists each offending field.